Bug 30878 - [Gtk] atk_text_get_text() fails in entries when the end_offset is -1
Summary: [Gtk] atk_text_get_text() fails in entries when the end_offset is -1
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks: 25531
  Show dependency treegraph
 
Reported: 2009-10-28 14:09 PDT by Joanmarie Diggs (irc: joanie)
Modified: 2009-11-07 01:03 PST (History)
4 users (show)

See Also:


Attachments
substitute String length for an end_offset of -1 (2.07 KB, patch)
2009-11-06 19:35 PST, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2009-10-28 14:09:23 PDT
Steps to reproduce:

1. Navigate to Google
2. Type "foo" in the search entry
3. Launch Accerciser 
4. Select the object of ROLE_ENTRY and get into the iPython console

   In [1]: acc.queryText().getText(0, -1)
   Out[1]: '' <--- wrong (should be 'foo')

   In [2]: acc.queryText().getText(0, 3)
   Out[2]: 'foo' <--- (everything else seems to work; just not an end_offset at -1)

Also note that if you select other objects which implement AtkText (including the object of ROLE_TEXT which is the descendant of the entry above), atk_text_get_text(0, -1) works as expected.
Comment 1 Joanmarie Diggs (irc: joanie) 2009-11-06 19:35:30 PST
Created attachment 42683 [details]
substitute String length for an end_offset of -1
Comment 2 Xan Lopez 2009-11-07 00:48:12 PST
Comment on attachment 42683 [details]
substitute String length for an end_offset of -1

Looks good to me.
Comment 3 WebKit Commit Bot 2009-11-07 01:03:33 PST
Comment on attachment 42683 [details]
substitute String length for an end_offset of -1

Clearing flags on attachment: 42683

Committed r50615: <http://trac.webkit.org/changeset/50615>
Comment 4 WebKit Commit Bot 2009-11-07 01:03:37 PST
All reviewed patches have been landed.  Closing bug.